import 'package:flutter/foundation.dart';
import 'package:wowit/widgets/log_widget/log_controller.dart';

abstract class Iwatting {
  void hideWatting();
  void showWatting();
}

abstract class HandleException {
  bool handleExceptionAuth(Object e) {
    return false;
  }

  static void log<T>(dynamic e, {String? subTitle}) {
    String titleLog = T.runtimeType.toString();
    if (subTitle != null) titleLog += '[$subTitle]';
    LogController.setLog(log: e.toString(), titleLog: titleLog);
    if (kDebugMode) {
      print('${T.runtimeType}: $e');
    }
  }
}
