import 'package:wowit/controllers/base_controller.dart';

mixin SearchMixin on BaseController {
  String _keyword = '';
  String get keyword => _keyword;

  void search(String keyword) {
    if (_keyword == keyword) return;
    _keyword = keyword;
    clearData();
    update();
  }
}
